XDG-USER-DIRS-UPD(1)

NAME
xdg-user-dirs-update - Update XDG user dir configuration

SYNOPSIS

xdg-user-dirs-update [OPTION...] [--set NAME PATH...]

DESCRIPTION

xdg-user-dirs-update updates the current state of the users user-dirs.dirs. If none existed before then one is created based on the system default values, or falling back to the old non-translated filenames if such directories exists. The list of old directories used are: ~/Desktop, ~/Templates and ~/Public.

If an old configuration exists it is updated with any new default directories. Additionally, any configured directories that point to non-existing locations are reset by pointing then to the users home directory. This typically happens when the users removed the directory, so they likely don't want to use it anymore.

On the first run a user-dirs.locale file is created containing the locale that was used for the translation. This is used later by GUI tools like xdg-user-dirs-gtk-update to detect if the locale was changed, letting you to migrate from the old names.

xdg-user-dirs-update is normally run automatically at the start of a user session to update the XDG user dirs according to the users locale.

OPTIONS

The following options are understood:

--help
    Print help output and exit.

--force
    Update existing user-dirs.dirs, but force a full reset. This means: Don't reset nonexisting directories to HOME, rather recreate the directory. Never use backwards compatible non-translated names. Always recreate user-dirs.locale.

--dummy-output PATH
    Write the configuration to PATH instead of the default configuration file. Also, no directories are created.

--set NAME PATH
    Sets the XDG user dir with the given name.

    NAME should be one of the following:
        DESKTOP
        DOWNLOAD
        TEMPLATES
        PUBLICSHARE
        DOCUMENTS
        MUSIC
        PICTURES
        VIDEOS

    PATH must be an absolute path, e.g. $HOME/Some/Directory.

FILES

The XDG user dirs configuration is stored in the user-dirs.dirs file in the location pointed to by the XDG_CONFIG_HOME environment variable.

ENVIRONMENT

The XDG_CONFIG_HOME environment variable determines where the user-dirs.dirs file is located.

SEE ALSO

xdg-user-dir(1), user-dirs.dirs(5), user-dirs.defaults(5), user-dirs.conf(5).